  function [t,y] = stepper_integrate(stepper,k,t0,tEnd,y0,h)
  % Determins the value of the integrated ODE function y for each
  % time step t.
  
  % Outputs:
  % time step vector t
  % concentration vector y
  
  % Inputs:
  % rules for integration at each step: stepper (function handle)
  % decay rate k (scalar)
  % start time t0 (scalar)
  % end time tEnd (scalar)
  % initial concentration (scalar)
  % step size h
 
N=round(tEnd-t0/h);  
t=zeros(1,N+1);
y=zeros(1,N+1);
t(1)=t0;
y(1)=y0;
for j=1:N
    t(j+1)=t(j)+h;
    y(j+1)=stepper(k,y(j),h);

end
end